### Hierarchy

- Core
  - Net

## Index

### Constructors

- constructor

### Properties

- BatchRequest
- getConnecting
- methods
- provider
- providers
- requestManager
- providers

### Accessors

- currentProvider

### Methods

- buildCall
- isConnecting
- setProvider

## Constructors

### constructor

- new Net(provider: any, net?: any): Net

- Overrides Core.constructor

  - Defined in net/index.ts:8

  #### Parameters

  - ##### provider: any

  - ##### Optional net: any

  #### Returns Net

## Properties

### BatchRequest

BatchRequest: BatchManager

Inherited from Core.BatchRequest

- Defined in core/index.ts:13

### getConnecting

getConnecting: function = this.buildCall({call: 'chainstack_currentBlock',name: 'getConnecting',params: 0})

- Defined in net/index.ts:12

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### methods

methods: Array<Method | Subscriptions>

- Defined in net/index.ts:8

### provider

provider: Provider

Inherited from Core.provider

- Defined in core/index.ts:10

### providers

providers: ProvidersInterface

Inherited from Core.providers

- Defined in core/index.ts:11

### requestManager

requestManager: RequestManager

Inherited from Core.requestManager

- Defined in core/index.ts:12

### Static providers

providers: ProvidersInterface = RequestManager.providers

Inherited from Core.providers

- Defined in core/index.ts:9

## Accessors

### currentProvider

- get currentProvider(): any
- set currentProvider(value: any): void

- Inherited from Core.currentProvider

  - Defined in core/index.ts:28

  #### Returns any

- Inherited from Core.currentProvider

  - Defined in core/index.ts:32

  #### Parameters

  - ##### value: any

  #### Returns void

## Methods

### buildCall

- buildCall(options: MethodOptions): function

- Inherited from Core.buildCall

  - Defined in core/index.ts:41

  #### Parameters

  - ##### options: MethodOptions

  #### Returns function

  - - (...args: any[]): any

    - #### Parameters

      - ##### Rest ...args: any[]

      #### Returns any

### isConnecting

- isConnecting(cb?: any): Promise<boolean>

- - Defined in net/index.ts:17

  #### Parameters

  - ##### Optional cb: any

  #### Returns Promise<boolean>

### setProvider

- setProvider(provider: string | Provider, net?: any): void

- Inherited from Core.setProvider

  - Defined in core/index.ts:36

  #### Parameters

  - ##### provider: string | Provider

  - ##### Optional net: any

  #### Returns void

Generated using TypeDoc